- include_role:
    name: commons
    tasks_from: helpers/imagestream.yaml
  loop:
  - peertube
  - peertube-nginx
  loop_control:
    label: "{{ is_name }}"
    loop_var: is_name
  when:
  - k8s_flavor == 'openshift'
- include_role:
    name: commons
    tasks_from: helpers/buildconfig.yaml
  vars:
    bc_basename: peertube
    bc_cpu_limit: 800m
    bc_cpu_request: 500m
    bc_dockerfile: Dockerfile.bin
    bc_forcepull: "false"
    bc_memory_limit: 4Gi
    bc_memory_request: 2Gi
    bc_ref: "{{ peertube_tag }}"
    bc_secret: "{{ peertube_clone_secret | default(False) }}"
    bc_source: "{{ peertube_image_source }}"
    bc_timeout: 6h0m0s
    bc_toimage: peertube
    bc_tokind: ImageStreamTag
    bc_type: Docker
    bc_wait_complete: True
    bc_wait_retries_for: 240
- include_role:
    name: commons
    tasks_from: helpers/buildconfig.yaml
  vars:
    bc_basename: peertube-nginx
    bc_frombuilder: "peertube:{{ peertube_tag }}"
    bc_cpu_limit: 300m
    bc_cpu_request: 100m
    bc_dockerfile: Dockerfile.nginx
    bc_forcepull: "true"
    bc_memory_limit: 2Gi
    bc_memory_request: 1Gi
    bc_ref: "{{ peertube_tag }}"
    bc_secret: "{{ peertube_clone_secret | default(False) }}"
    bc_source: "{{ peertube_image_source }}"
    bc_timeout: 1h0m0s
    bc_toimage: peertube-nginx
    bc_tokind: ImageStreamTag
    bc_type: Docker
    bc_wait_complete: True
    bc_wait_retries_for: 120
  when:
  - peertube_do_proxy
- include_role:
    name: commons
    tasks_from: exporters/postgres.yaml
  when:
  - do_exporters
- include_role:
    name: commons
    tasks_from: baseimages/sshd.yaml
  when:
  - do_backups
- include_role:
    name: commons
    tasks_from: baseimages/redis.yaml
- block:
  - include_role:
      name: commons
      tasks_from: helpers/imagestream.yaml
    vars:
      is_name: peertubeexporter
    when:
    - k8s_flavor == 'openshift'
  - include_role:
      name: commons
      tasks_from: helpers/buildconfig.yaml
    vars:
      bc_basename: peertubeexporter
      bc_cpu_limit: 200m
      bc_cpu_request: 200m
      bc_forcepull: "false"
      bc_memory_limit: 768Mi
      bc_memory_request: 512Mi
      bc_ref: "{{ peertubeexporter_tag }}"
      bc_secret: "{{ peertubeexporter_clone_secret | default(False) }}"
      bc_source: "{{ peertubeexporter_image_source }}"
      bc_toimage: peertubeexporter
      bc_tokind: ImageStreamTag
      bc_type: Docker
      bc_wait_complete: True
  when:
  - do_exporters
